geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Delos Dai (JIRA)" <j...@apache.org>
Subject [jira] Commented: (GERONIMODEVTOOLS-649) Can't build GEP trunk on 32-bit Mac
Date Fri, 02 Jul 2010 14:34:50 GMT

    [ https://issues.apache.org/jira/browse/GERONIMODEVTOOLS-649?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=12884696#action_12884696
] 

Delos Dai commented on GERONIMODEVTOOLS-649:
--------------------------------------------

After investigation, I'm afraid it's not easier to fix this problem,unless we release a new
version of maven-eclipsepde-plugin.

As Donald said, although build.xml has been updated, build script will download eclipse for
Mac cocoa. But on Mac, build process still needs org.eclipse.swt.carbon.macosx plugins, which
is used by Mac carbon. 

The reason is getSWTFragmentDependency() method in maven-eclipsepde-plugin. maven-eclipsepde-plugin
will analyze required plugins listed in MANIFEST.MF and add them into maven project dependencies
list. Besides the plugins in MANIFEST.MF,  for native UI implementation, maven-eclipsepde-plugin
will force to add a eclipse plugin specific for the UI implementation of OS.  Eg. on Linux,
it's org.eclipse.swt.gtk.linux_x86_3.6.0;on windows, it's org.eclipse.swt.win32.win32.x86_3.6.0;on
Mac, it's org.eclipse.swt.carbon.macosx for carbon or org.eclipse.swt.cocoa.macosx for cocoa.
Unfortunately, maven-eclipsepde-plugin currently only recognize  org.eclipse.swt.carbon.macosx.
That's why I said we have to release a new version of maven-eclipsepde-plugin.

Donald,
Although maven-eclipsepde-plugin is released by GEP, a new release still needs a long process.
Since it's not a big problem, I think we can defer this JIRA without blocking GEP 3.0 M1 release.
Anyway, I will provide an updated maven-eclipsepde-plugin in attachment. You can install it
manually into your maven repo and update the version of maven-eclipsepde-plugin to 2.0 in
GEP source. Have a try and let me know your result!

> Can't build GEP trunk  on 32-bit Mac
> ------------------------------------
>
>                 Key: GERONIMODEVTOOLS-649
>                 URL: https://issues.apache.org/jira/browse/GERONIMODEVTOOLS-649
>             Project: Geronimo-Devtools
>          Issue Type: Bug
>          Components: eclipse-plugin
>            Reporter: Delos Dai
>            Assignee: Delos Dai
>             Fix For: 3.0_M1, 3.0
>
>
> Need to update  eclipse/build.xml to make GEP build successfully on 32-bit Mac. Eclipse
3.6 has dropped support for Mac carbon. The script should change to Mac cocoa.
> From Donald,
> Could not build on MacOSX, as the referenced file no longer exists -
> file=/technology/epp/downloads/release/helios/R/eclipse-jee-helios-macosx-carbon.tar.gz
> Looks like we need to use the following 32bit Mac download instead in
> eclipse/build.xml -
>    <property name="helios_jee_macos"
>        value="eclipse-jee-helios-macosx-cocoa.tar"/>
>    <property name="helios_jee_macos-x86_64"
>        value="eclipse-jee-helios-macosx-cocoa-x86_64.tar"/>
> Also, I had to specify specific mirrors to use (like AWS) as the local
> mirror didn't have the Helios files on it yet....

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message